Search AIMessage

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/aimessage
API call form
Examples

AI conversation messages are automatically created when using the AIPrompt service, and always belong to an AI conversation . You can only retrieve user and assistant AI messages accessible to you.

Include AIMessageAsset when you also want persisted chart assets returned with each message.

Request parametersResponse schema
count NUMBER

The number of records returned

rows ARRAY[OBJECT]
id UUID
conversation_id UUID
message STRING
role STRING
agent STRING
task STRING
locale_id STRING
created_at DATETIME
updated_at DATETIME
aiMessageAssets ARRAY[OBJECT]
Can be executed by:
Entity Owner
Can be associated to:
AIConversation
AIMessageAsset
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
composer require luzmo/luzmo-sdk-php
Example Response
200
400
500
{
  "count": 2,
  "rows": [
    {
      "id": "1f3bb2f4-7589-40bc-b7d2-9a84b446d9ef",
      "conversation_id": "fdce930b-4f6d-4d2b-8a43-7ea7d62457a2",
      "message": "Show monthly revenue as a line chart",
      "role": "user",
      "agent": "item",
      "task": "generate",
      "locale_id": "en",
      "created_at": "2026-05-14T10:03:11.000Z",
      "updated_at": "2026-05-14T10:03:11.000Z",
      "aiMessageAssets": []
    },
    {
      "id": "2fdbacdc-d6e6-4a73-b22c-c4b6e9a10d98",
      "conversation_id": "fdce930b-4f6d-4d2b-8a43-7ea7d62457a2",
      "message": "Created a visualization.",
      "role": "assistant",
      "agent": null,
      "task": null,
      "locale_id": "en",
      "created_at": "2026-05-14T10:03:13.000Z",
      "updated_at": "2026-05-14T10:03:13.000Z",
      "aiMessageAssets": [
        {
          "id": "7bfcf7ff-dcb2-4963-9e9b-0fe651a342af",
          "message_id": "2fdbacdc-d6e6-4a73-b22c-c4b6e9a10d98",
          "type": "item",
          "value": {
            "type": "line-chart",
            "options": {},
            "slots": [],
            "filters": []
          },
          "created_at": "2026-05-14T10:03:13.000Z",
          "updated_at": "2026-05-14T10:03:13.000Z"
        }
      ]
    }
  ]
}